
set( nuevdb_VERSION 1.02.05 )
set( nuevdb_UPS_VERSION v1_02_05 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
set(NUEVDB_EVENTDISPLAYBASE "$ENV{NUEVDB_LIB}/libnuevdb_EventDisplayBase.so")
set(NUEVDB_EVENTDISPLAYBASE_EVENTDISPLAY_SERVICE "$ENV{NUEVDB_LIB}/libnuevdb_EventDisplayBase_EventDisplay_service.so")
set(NUEVDB_EVENTDISPLAYBASE_SCANOPTIONS_SERVICE "$ENV{NUEVDB_LIB}/libnuevdb_EventDisplayBase_ScanOptions_service.so")
set(NUEVDB_EVENTDISPLAYBASE_COLORS_SERVICE "$ENV{NUEVDB_LIB}/libnuevdb_EventDisplayBase_Colors_service.so")
set(NUEVDB_IFDATABASE "$ENV{NUEVDB_LIB}/libnuevdb_IFDatabase.so")
set(NUEVDB_IFDATABASE_DBI_SERVICE "$ENV{NUEVDB_LIB}/libnuevdb_IFDatabase_DBI_service.so")
  include_directories ( "$ENV{NUEVDB_INC}" )

check_required_components(nuevdb)

